package vn.azteam.tpf.service.dto;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.HashSet;
import java.util.Objects;
import java.util.Set;

/**
 * A DTO for the ActivityInMonth entity.
 */
public class ActivityInMonthDTO implements Serializable {

    private String date;

    private Long countActivity;

    public Long getCountActivity() {
        return countActivity;
    }

    public void setCountActivity(Long countActivity) {
        this.countActivity = countActivity;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        ActivityInMonthDTO activityInMonthDTO = (ActivityInMonthDTO) o;
        if (activityInMonthDTO.getDate() == null || getDate() == null) {
            return false;
        }
        return Objects.equals(getDate(), activityInMonthDTO.getDate());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getDate());
    }

    @Override
    public String toString() {
        return "ActivityInMonthDTO{" +
            "id=" + getDate() +
            ", countActivity='" + getCountActivity() + "'" +
            "}";
    }
}
